package com.zsElectric.boot.core.exception;

import lombok.Getter;

/**
 * 恶意HTTP请求异常
 * <p>
 * 用于标识XSS攻击、SQL注入等恶意请求
 * 
 * @author zsElectric
 */
@Getter
public class BadHttpRequestException extends RuntimeException {

    public BadHttpRequestException(String message) {
        super(message);
    }

    public BadHttpRequestException(String message, Throwable cause) {
        super(message, cause);
    }
}
